﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TBS1000B (1 yr) ExTrig Sens VISA /5800
INSTRUMENT:            Sub Tek TBS1000B-EDU (1 yr) ExTrig Sens VISA /5800
DATE:                  2018-08-22 09:03:47
AUTHOR:                Fluke
REVISION:              $Revision: 24923 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       193
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000B and TBS1000B-EDU Series Oscilloscopes
#      Specifications and Performance Verification
#      Technical Reference, PN 077-1025-01, Revision B.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000B Series
#          TBS1032B, TBS1052B, TBS1072B, TBS1102B, TBS1152B
#		   TBS1202B.
#      TBS1000B-EDU Series
#          TBS1052B-EDU, TBS1072B-EDU, TBS1102B-EDU,
#		   TBS1152B-EDU, TBS1202B-EDU
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Cmd = "*RST;HEADER OFF"
  1.002  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.003  JMPL         END                          @Abort
  1.004  CALL         Sub Tek TBS1000B/1000B-EDU Select Channel VISA

  1.005  HEAD         EXTERNAL EDGE-TRIGGER SENSITIVITY (CH [V @Chan])

  1.006  IF           @Chan == 1
  1.007  RSLT         =
  1.008  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
  1.009  ENDIF

  1.010  RSLT         =
  1.011  RSLT         =Channel [V @Chan]

  1.012  IF           @Bandwidth == 30E+6
  1.013  MATH         FreqMHz = "30  MHz"
  1.014  ELSEIF       @Bandwidth == 50E+6
  1.015  MATH         FreqMHz = "50 MHz"
  1.016  ELSEIF       @Bandwidth == 70E+6
  1.017  MATH         FreqMHz = "70 MHz"
  1.018  ELSEIF       @Bandwidth == 100E+6
  1.019  MATH         FreqMHz = "100 MHz"
  1.020  ELSEIF       @Bandwidth == 150E+6
  1.021  MATH         FreqMHz = "150 MHz"
  1.022  ELSEIF       @Bandwidth == 200E+6
  1.023  MATH         FreqMHz = "200 MHz"
  1.024  ELSE
  1.025  DISP         @Bandwidth = [V @Bandwidth] is not supported!
  1.026  MATH         @Abort = 1
  1.027  JMPL         END                          @Abort
  1.028  ENDIF

  1.029  TARGET       -p
  1.030  HEAD         -2 Rising Slope, 200 mVpp at [V FreqMHz]
  1.031  DISP         Connect the 58xxA CHAN 1 to the input of a 2 way
  1.031  DISP         power splitter via a BNC(f) to SMA(m) adapter.
  1.031  DISP
  1.031  DISP         Connect one output of power splitter to UUT CH [V @Chan]
  1.031  DISP         via SMA(f) to SMA(f) and SMA(m) to BNC(f) adpaters, a
  1.031  DISP         BNC(m)-(m) cable and a 50 Ohm feed through terminator.
  1.031  DISP
  1.031  DISP         Connect the other output of the power splitter to UUT
  1.031  DISP         EXT TRIG via SMA(f) to SMA(f) and SMA(m) to BNC(f)
  1.031  DISP         adapters, a BNC(m)-(m) cable and a 50 Ohm feed through
  1.031  DISP         terminator.

  1.032  VISA         CH[V @Chan]:PRO 1;SCA 100E-3
  1.033  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.034  JMPL         END                          @Abort
  1.035  VISA         HOR:SCA 10E-9
  1.036  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.037  JMPL         END                          @Abort
  1.038  VISA         TRIG:MAI:MOD NORM;EDGE:SOU EXT
  1.039  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.040  JMPL         END                          @Abort
  1.041  VISA         ACQ:MOD SAMP;STATE ON
  1.042  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.043  JMPL         END                          @Abort
  1.044  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  1.045  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.046  JMPL         END                          @Abort

# First Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV, for the reason of using power splitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 800 mV.
  1.047  MATH         MEM = 400; MEM1 = 800

  1.048  DO
  1.049  MATH         MEM = MEM1 + (800 - 2 * MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.050  IF           MEM > 5500 || MEM < 5
  6.031  DISP         Calibrator limit reached and DUT measurement is
  6.031  DISP         not 400±8 mVpp.
  6.031  DISP
  6.031  DISP         Check connections and press Advance to try again.
  1.051  MATH         MEM = 800
  1.052  ENDIF

  1.053  5800         mVpp                         10MH           LS S6 S  L
  1.054  VISA         TRIG:MAI SETL
  1.055  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.056  JMPL         END                          @Abort
  1.057  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  1.058  MATH         MEM = MEM / 1E-3
  1.059  UNTIL        (MEM >= 392) && (MEM <= 408)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 200 mVpp which is the required test signal for external
# trig sensitivity.
  1.060  MATH         MEM = MEM1 / 2

  1.061  IF           @Bandwidth == 30E+6
  1.062  5800         Vpp                          30MH           LS S6 S  L
  1.063  ELSEIF       @Bandwidth == 50E+6
  1.064  5800         Vpp                          50MH           LS S6 S  L
  1.065  ELSEIF       @Bandwidth == 70E+6
  1.066  5800         Vpp                          70MH           LS S6 S  L
  1.067  ELSEIF       @Bandwidth == 100E+6
  1.068  5800         Vpp                          100MH          LS S6 S  L
  1.069  ELSEIF       @Bandwidth == 150E+6
  1.070  5800         Vpp                          150MH          LS S6 S  L
  1.071  ELSEIF       @Bandwidth == 200E+6
  1.072  5800         Vpp                          200MH          LS S6 S  L
  1.073  ENDIF

  1.074  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
  1.075  MATH         @PeakValue = mVppStd / 4 * 1E-3
  1.076  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
  1.077  MATH         RsltStr = " Rising Slope, 200 mVpp at " & FreqMHz
  1.078  EVAL   -e @Triggered : [V RsltStr]

  2.001  HEAD         -2 Falling Slope, 200 mVpp at [V FreqMHz]
  2.002  MATH         MEM = mVppStd

  2.003  IF           @Bandwidth == 30E+6
  2.004  5800         Vpp                          30MH           LS S6 S  L
  2.005  ELSEIF       @Bandwidth == 50E+6
  2.006  5800         Vpp                          50MH           LS S6 S  L
  2.007  ELSEIF       @Bandwidth == 70E+6
  2.008  5800         Vpp                          70MH           LS S6 S  L
  2.009  ELSEIF       @Bandwidth == 100E+6
  2.010  5800         Vpp                          100MH          LS S6 S  L
  2.011  ELSEIF       @Bandwidth == 150E+6
  2.012  5800         Vpp                          150MH          LS S6 S  L
  2.013  ELSEIF       @Bandwidth == 200E+6
  2.014  5800         Vpp                          200MH          LS S6 S  L
  2.015  ENDIF

  2.016  VISA         TRIG:MAI:EDGE:SLO FALL
  2.017  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  2.018  JMPL         END                          @Abort
  2.019  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
  2.020  MATH         RsltStr = " Falling Slope, 200 mVpp at " & FreqMHz
  2.021  EVAL   -e @Triggered : [V RsltStr]

  3.001  LABEL        END
  3.002  HEAD         -2
  3.003  HEAD
  3.004  5800         *                                                 S
  3.005  END
